public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libbluray/
Date: Mon, 23 May 2016 11:09:17 +0000 (UTC)	[thread overview]
Message-ID: <1464001747.9057472ec5cc3a775c9ffe0499521c4ba7cc5739.aballier@gentoo> (raw)

commit:     9057472ec5cc3a775c9ffe0499521c4ba7cc5739
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon May 23 11:09:07 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Mon May 23 11:09:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9057472e

media-libs/libbluray: bump to 0.9.3

Package-Manager: portage-2.3.0_rc1

 media-libs/libbluray/Manifest               |  1 +
 media-libs/libbluray/libbluray-0.9.3.ebuild | 93 +++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/media-libs/libbluray/Manifest b/media-libs/libbluray/Manifest
index 6ed3d58..ada834a 100644
--- a/media-libs/libbluray/Manifest
+++ b/media-libs/libbluray/Manifest
@@ -3,3 +3,4 @@ DIST libbluray-0.8.1.tar.bz2 623402 SHA256 cdbec680c5bbc2251de6ccd109cf5f798ea51
 DIST libbluray-0.9.0.tar.bz2 624614 SHA256 84b61da9202fa724a76ac885af69df16a5583eb11d43e940dc201833bbfd694d SHA512 12db8b9ace0629158c1ce0e5447fc154609e9f78c55ff7d830c7ee38ccafa9824bfcdbe622d7e13e8c6d74205ae648ccf2e7c7b756692acc27e48fe9e2cc95ec WHIRLPOOL 7b8191bf0adcd1c612662a9bf66d2f94ba43bda1bd5a23425aee85b486aced4c0edf0f720a17361640f7982e5794bd531bfc9efa45e883495be4acd9ae42b8cc
 DIST libbluray-0.9.1.tar.bz2 703068 SHA256 d9647fa55802907b33d85e9ffcc6d97e3133490f3721afd649d9b361c42f3940 SHA512 78a768d26454067f904e0c15717e81bbce624f8e13d1e8a8e84611a4fc29191860640b86633ad9611cc461d9ee84472d3388fc2429d302d87908e3900898c5a1 WHIRLPOOL 788f5714689cf08798149860a450a17b0b6abb717bfb6e0fce805c90592e01ffbb15da621c6ee2317dde88379619bb678a930ebb1c2234ac139b08fc7be0ab73
 DIST libbluray-0.9.2.tar.bz2 704357 SHA256 efc994f42d2bce6af2ce69d05ba89dbbd88bcec7aca065de094fb3a7880ce7ea SHA512 f7fda2ef4c0ec70eb9a38aed0e76d21d8784410cb13713e7ee66ecd23a1cc58325977b046d40c526554a4a4e4cf96706a233e15451bf34892aff201b47e25aef WHIRLPOOL 96716027cd8d62c55cdde4f05d8a3c2023c30231ae86ca3231abc52db66e8a4b7338ea3ca871cfc971b83104875429c6d4058d132c488aed09d6d50eb9b4afb1
+DIST libbluray-0.9.3.tar.bz2 722686 SHA256 a6366614ec45484b51fe94fcd1975b3b8716f90f038a33b24d59978de3863ce0 SHA512 1e308b85c51d43b23b186fdd2631f963d4c25de8aff29f335e131b32a175434ee21460a7aa470c508ad13662cf9052649bb4eb974dbd709eb9e6797fb84e0823 WHIRLPOOL b121e75b68738c057ea3e5240523ca2c427c60436e3f12b5ed0817a673ec26573ea45d5d788e464f234eaa254fadcd583b81c2d30970131e2b5eb46b4c279632

diff --git a/media-libs/libbluray/libbluray-0.9.3.ebuild b/media-libs/libbluray/libbluray-0.9.3.ebuild
new file mode 100644
index 0000000..16182bd
--- /dev/null
+++ b/media-libs/libbluray/libbluray-0.9.3.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [ "${PV#9999}" != "${PV}" ] ; then
+	VCSECLASS="git-r3"
+	KEYWORDS=""
+	EGIT_REPO_URI="git://git.videolan.org/libbluray.git"
+	SRC_URI=""
+else
+	VCSECLASS=""
+	KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+	SRC_URI="http://ftp.videolan.org/pub/videolan/libbluray/${PV}/${P}.tar.bz2"
+fi
+
+inherit autotools ${VCSECLASS} java-pkg-opt-2 flag-o-matic eutils multilib-minimal
+
+DESCRIPTION="Blu-ray playback libraries"
+HOMEPAGE="http://www.videolan.org/developers/libbluray.html"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="aacs bdplus +fontconfig java static-libs +truetype udf utils +xml"
+
+COMMON_DEPEND="
+	xml? ( >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}] )
+	fontconfig? ( >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}] )
+	truetype? ( >=media-libs/freetype-2.5.0.1:2[${MULTILIB_USEDEP}] )
+"
+RDEPEND="
+	${COMMON_DEPEND}
+	aacs? ( >=media-libs/libaacs-0.6.0[${MULTILIB_USEDEP}] )
+	bdplus? ( media-libs/libbdplus[${MULTILIB_USEDEP}] )
+	java? ( >=virtual/jre-1.6 )
+"
+DEPEND="
+	${COMMON_DEPEND}
+	java? (
+		>=virtual/jdk-1.6
+		dev-java/ant-core
+	)
+	virtual/pkgconfig
+"
+
+DOCS=( ChangeLog README.txt )
+
+src_prepare() {
+	if use java ; then
+		export JDK_HOME="$(java-config -g JAVA_HOME)"
+
+		# don't install a duplicate jar file
+		sed -i '/^jar_DATA/d' Makefile.am || die
+
+		java-pkg-opt-2_src_prepare
+	fi
+
+	eautoreconf
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		--disable-optimizations \
+		$(multilib_native_use_enable utils examples) \
+		$(multilib_native_use_enable java bdjava) \
+		$(use_with fontconfig) \
+		$(use_with truetype freetype) \
+		$(use_enable static-libs static) \
+		$(use_enable udf) \
+		$(use_with xml libxml2)
+}
+
+multilib_src_install() {
+	emake DESTDIR="${D}" install
+
+	if multilib_is_native_abi && use utils; then
+		cd .libs/
+		dobin index_dump mobj_dump mpls_dump bd_info bdsplice clpi_dump hdmv_test libbluray_test list_titles sound_dump
+		if use java; then
+			dobin bdj_test
+		fi
+	fi
+
+	if multilib_is_native_abi && use java; then
+		java-pkg_dojar "${BUILD_DIR}"/.libs/${PN}-j2se-*.jar
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	prune_libtool_files
+}


             reply	other threads:[~2016-05-23 11:09 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-23 11:09 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-02 18:03 [gentoo-commits] repo/gentoo:master commit in: media-libs/libbluray/ Conrad Kostecki
2024-04-02 18:03 Conrad Kostecki
2023-12-05 20:38 Arthur Zamarin
2023-09-28  6:17 Sam James
2023-09-27 13:22 Joonas Niilola
2023-09-27 10:11 Joonas Niilola
2023-09-27  6:05 Sam James
2023-09-27  6:05 Sam James
2023-03-22  5:30 Sam James
2022-12-18 12:15 Sam James
2022-12-18 12:15 Sam James
2022-11-29 15:58 WANG Xuerui
2022-10-27 12:30 Alexis Ballier
2022-09-18 20:30 Arthur Zamarin
2022-09-18 16:25 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-09-18  0:19 Sam James
2022-09-18  0:19 Sam James
2022-08-17  1:22 Sam James
2022-04-17 19:24 Sam James
2022-03-13  5:54 Sam James
2022-03-13  5:28 Sam James
2021-08-21  8:44 Marek Szuba
2021-06-03  0:43 Sam James
2021-06-02 10:39 Sam James
2021-05-28 19:39 Agostino Sarubbo
2021-05-28 14:40 Sergei Trofimovich
2021-05-25 19:10 Agostino Sarubbo
2021-05-25 18:58 Agostino Sarubbo
2021-05-25 11:56 Sam James
2021-04-25  9:18 Sergei Trofimovich
2021-04-20 17:06 Sergei Trofimovich
2021-04-19  0:18 Sam James
2021-04-18 23:05 Sam James
2021-02-27  5:16 Sam James
2021-01-07 11:33 Sam James
2021-01-06  8:09 Sam James
2021-01-03 21:10 Sam James
2021-01-02 11:52 Sergei Trofimovich
2021-01-01  5:46 Sam James
2021-01-01  3:13 Sam James
2020-03-24 11:38 James Le Cuirot
2019-09-13 19:43 Andreas Sturmlechner
2019-09-13 17:39 Mikle Kolyada
2019-08-13 10:32 Agostino Sarubbo
2019-08-13 10:30 Agostino Sarubbo
2019-08-10  7:58 Sergei Trofimovich
2019-08-08  7:43 Agostino Sarubbo
2019-08-06 22:27 Aaron Bauman
2019-07-27 12:54 Aaron Bauman
2019-06-25 19:24 Lars Wendler
2019-05-05 19:05 Mike Gilbert
2018-09-21 19:48 James Le Cuirot
2018-09-21 18:21 James Le Cuirot
2018-09-21 18:21 James Le Cuirot
2018-09-15  2:31 Andreas Sturmlechner
2018-07-10  4:58 Markus Meier
2018-05-25 23:58 Thomas Deutschmann
2018-05-24 14:31 Agostino Sarubbo
2018-05-24  6:19 Sergei Trofimovich
2017-12-16  5:40 Craig Andrews
2017-12-09 18:41 Craig Andrews
2017-12-09 18:41 Craig Andrews
2017-12-04 18:15 Pacho Ramos
2017-08-31 17:38 Tim Harder
2017-06-22 11:48 Alexis Ballier
2017-06-15  8:49 Alexis Ballier
2017-04-01 11:50 Michael Weber
2017-04-01 11:19 Michael Weber
2017-03-04 13:37 Alexis Ballier
2017-01-06 13:16 Aaron Bauman
2016-12-09  7:11 Tim Harder
2016-08-08 15:53 Tim Harder
2015-12-03  9:52 Alexis Ballier
2015-12-03  9:49 Alexis Ballier
2015-12-03  9:41 Alexis Ballier
2015-12-03  9:35 Alexis Ballier
2015-12-03  9:35 Alexis Ballier
2015-12-03  9:29 Alexis Ballier
2015-12-03  9:24 Alexis Ballier
2015-11-07 18:58 Alexis Ballier
2015-10-06  9:16 Alexis Ballier
2015-10-06  9:16 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1464001747.9057472ec5cc3a775c9ffe0499521c4ba7cc5739.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox